#ifndef IMAGELIB_H
#define IMAGELIB_H

#if defined (JPG_DLL)
#  define _JPGCLASS _export
#elif defined (JPG_APP)
#  define _JPGCLASS _import
#else
#  define _JPGCLASS
#endif

#include <windows.h>
#include <windowsx.h>

extern int _JPGCLASS _pascal readjpgfile(const char *filename, int resolution,
					int scale, int option, int password,
					unsigned int * hddb, unsigned int * hpal, short (* pf)(int),
					short errormode);

extern int _JPGCLASS _pascal writejpegfile(const char *filename, int quality,
												 int smooth, int password,
												 unsigned int hddb, unsigned int hpal,
												 short (* pf)(int), short errormode);

extern int _JPGCLASS _pascal readgiffile(const char *filename,
										  int password, unsigned int * hddb,
										  unsigned int * hpal, short (* pf)(int),
										  short errormode);

extern int _JPGCLASS _pascal readpcxfile(const char *filename,
										  int password, unsigned int * hddb,
										  unsigned int * hpal, short (* pf)(int),
										  short errormode);

extern int _JPGCLASS _pascal fileinfo(const char *filename, char * filetype,
												  int *width, int *height, int *bitspixel,
												  int *planes, int *numcolors,
												  char * compression, short errormode);

extern int _JPGCLASS _pascal readjpgstream(void * inbuffer, long size,
					int resolution, int scale, int option, int password,
					unsigned int * hddb, unsigned int * hpal, short (* pf)(int),
					short errormode);

extern int _JPGCLASS _pascal readpcxstream(void * inbuffer, long size,
										  int password, unsigned int * hddb,
										  unsigned int * hpal, short (* pf)(int),
										  short errormode);

extern int _JPGCLASS _pascal readgifstream(void * inbuffer, long size,
										  int password, unsigned int * hddb,
										  unsigned int * hpal, short (* pf)(int),
										  short errormode);

extern int _JPGCLASS _pascal writejpegstream(void * inbuffer, long * size,
												 int quality, int smooth, int password,
												 unsigned int hddb, unsigned int hpal,
												 short (* pf)(int), short errormode);

extern int _JPGCLASS _pascal streaminfo(void * inbuffer, long size,  char * filetype,
													 int *width, int *height, int *bitspixel,
													 int *planes, int *numcolors,
													 char * compression, short errormode);


extern int _JPGCLASS _pascal readbmpstream(void * inbuffer, long size,
										  int password, unsigned int * hddb,
										  unsigned int * hpal, short (* pf)(int),
										  short errormode);

extern int _JPGCLASS _pascal writebmpstream(void * inbuffer, long * size,
														  int password, unsigned int hddb,
														  unsigned int hpal, short (* pf)(int),
														  short errormode);

extern int _JPGCLASS _pascal readbmpfile(const char * filename,
													  int password, unsigned int * hddb,
													  unsigned int * hpal, short (* pf)(int),
													  short errormode);

extern int _JPGCLASS _pascal writebmpfile(const char * filename,
														int password, unsigned int hddb,
														unsigned int hpal, short (* pf)(int),
														short errormode);

#endif
